<?xml version="1.0" encoding="UTF-8" ?>
<object class="Robot" serializationversion="2">
  <prologue>
    <saved-by-versions>
      <version>10.4.0.4</version>
    </saved-by-versions>
    <referenced-types>
      <type name="演習問題25"/>
    </referenced-types>
    <referenced-snippets/>
    <triggers/>
    <typed-variables>
      <typed-variable name="演習問題25" type-name="演習問題25"/>
    </typed-variables>
    <global-variables/>
    <parameters/>
    <return-variables/>
    <store-in-database-variables/>
    <device-mappings/>
    <browser-engine>WEBKIT</browser-engine>
  </prologue>
  <property name="variables" class="Variables">
    <object class="Variable" serializationversion="1">
      <property name="name" class="String">演習問題25</property>
      <property name="initialAssignment" class="InitialVariableAssignment">
        <property name="type" class="TypeReference" serializationversion="0">
          <property name="typeName" class="String">演習問題25</property>
        </property>
      </property>
    </object>
    <object class="Variable" serializationversion="1">
      <property name="name" class="String">excel</property>
      <property name="global" class="Boolean">true</property>
      <property name="initialAssignment" class="InitialVariableAssignment">
        <property name="type" class="SimpleTypeReference">
          <property name="simpleTypeId" class="Integer">150</property>
        </property>
      </property>
    </object>
  </property>
  <property name="proxyServerConfiguration" class="ProxyServerConfiguration" serializationversion="0"/>
  <property name="httpClientType" class="HttpClientType">
    <property name="enum-name" class="String">WEBKIT</property>
  </property>
  <property name="ntlmAuthentication" class="NTLMAuthenticationType">
    <property name="enum-name" class="String">STANDARD</property>
  </property>
  <property name="usePre96DefaultWaiting" class="Boolean" id="0">false</property>
  <property name="maxWaitForTimeout" class="Integer">10000</property>
  <property name="waitRealTime" idref="0"/>
  <property name="privateHTTPCacheEnabled" class="Boolean" id="1">true</property>
  <property name="privateHTTPCacheSize" class="Integer">2048</property>
  <property name="comment">
    <null/>
  </property>
  <property name="executionMode" class="ExecutionMode">
    <property name="enum-name" class="String">DIRECT</property>
  </property>
  <property name="avoidExternalReExecution" idref="0"/>
  <property name="transitionGraph" class="Body">
    <blockBeginStep class="BlockBeginStep" id="2"/>
    <steps class="ArrayList">
      <object class="Transition" serializationversion="3" id="3">
        <property name="name" class="String">エクセルを開く</property>
        <property name="stepAction" class="LoadFile">
          <property name="fileNameExpression" class="kapow.robot.plugin.common.support.expression.stringexpr.FileNameValueStringExpression">
            <property name="value" class="String">C:\演習問題25\実行月情報.xlsx</property>
          </property>
          <property name="browserConfigurationSpecification" class="BrowserConfigurationSpecificationWebKit" serializationversion="25">
            <property name="ancestorProvider" class="BrowserConfigurationSpecificationAncestorProviderForStep"/>
          </property>
        </property>
        <property name="elementFinders" class="ElementFinders"/>
        <property name="errorHandler" class="ErrorHandler" serializationversion="0"/>
        <property name="comment" class="String">エクセルを開く
-----------------------------------------------
ロボットビューの矢印を右クリック
→「ステップを挿入」＞「アクションステップ」を選択
→ステップビュー（画面右）の「ステップを選択」をクリック
→［ファイル読込］を選択
→［ファイル名］項目に開くエクセルのフルパス（C:\演習問題25\実行月情報.xlsx）を入力</property>
        <property name="enabled" idref="1"/>
        <property name="changedProperties" class="java.util.HashSet">
          <element class="String">name</element>
        </property>
      </object>
      <object class="Transition" serializationversion="3" id="4">
        <property name="name" class="String">エクセルを変数に格納</property>
        <property name="stepAction" class="ExtractSourceStepAction">
          <property name="attributeName" class="kapow.robot.plugin.common.support.AttributeName2">
            <property name="name" class="String">excel</property>
          </property>
        </property>
        <property name="elementFinders" class="ElementFinders"/>
        <property name="errorHandler" class="ErrorHandler" serializationversion="0"/>
        <property name="comment" class="String">エクセルを変数に格納（エクセルをBizRobo!に取り込む）
-----------------------------------------------
エクセル画面右下の［アクションを選択］をクリック
→［変数として開く］
→［新しいシンプルタイプの変数］
→［Excel（シンプル）］をクリック
→［グローバル］にチェック
→［OK］をクリック</property>
        <property name="enabled" idref="1"/>
        <property name="changedProperties" class="java.util.HashSet">
          <element class="String">name</element>
        </property>
      </object>
      <object class="Transition" serializationversion="3" id="5">
        <property name="name" class="String">変数excelを開く</property>
        <property name="stepAction" class="OpenVariable">
          <property name="variable" class="kapow.robot.plugin.common.support.AttributeName2">
            <property name="name" class="String">excel</property>
          </property>
        </property>
        <property name="elementFinders" class="ElementFinders"/>
        <property name="errorHandler" class="ErrorHandler" serializationversion="0"/>
        <property name="comment" class="String">変数excelを開く（エクセルを開きなおす）
※前のステップと一緒に作成されます</property>
        <property name="enabled" idref="1"/>
        <property name="changedProperties" class="java.util.HashSet">
          <element class="String">name</element>
        </property>
      </object>
      <object class="Transition" serializationversion="3" id="6">
        <property name="name" class="String">実行日取得</property>
        <property name="stepAction" class="AssignVariable" serializationversion="4">
          <property name="stringExpr" class="kapow.robot.plugin.common.support.expression.multipletype.StringProcessorsExpression" serializationversion="0">
            <property name="dataConverters" class="DataConverters">
              <element class="EvaluateExpression" serializationversion="0">
                <property name="expression" class="String">now()</property>
              </element>
              <element class="FormatDate">
                <property name="pattern" class="String">yyyy年MM月dd日</property>
              </element>
            </property>
          </property>
          <property name="variable" class="kapow.robot.plugin.common.support.AttributeName2">
            <property name="name" class="String">演習問題25.実行日</property>
          </property>
        </property>
        <property name="elementFinders" class="ElementFinders"/>
        <property name="errorHandler" class="ErrorHandler" serializationversion="0"/>
        <property name="comment" class="String">実行日取得
-----------------------------------------------
矢印を右クリック
→「ステップを挿入」＞「アクションステップ」を選択
→ステップビュー（画面右）の「アクションを選択」をクリック
→「変数の割り当て」をクリック
→「値」項目の右の「▼」をクリック
→「コンバーター」を選択
→「値」項目の「－」ボタンをクリック
→「＋」ボタンをクリックして、「エクスプレッションを評価」を選択
→「エクスプレッション」項目に「now()」を入力して「OK」をクリック（BizRobo!関数）
→「＋」ボタンをクリックして、「日付処理」＞「日付の書式設定」を選択
→「フォーマットパターン」項目に「yyyy年MM月dd日」を入力して「OK」をクリック
→「変数」項目を「演習問題25.実行日」に変更</property>
        <property name="enabled" idref="1"/>
        <property name="changedProperties" class="java.util.HashSet">
          <element class="String">name</element>
        </property>
      </object>
      <object class="Transition" serializationversion="3" id="7">
        <property name="name" class="String">曜日取得</property>
        <property name="stepAction" class="AssignVariable" serializationversion="4">
          <property name="stringExpr" class="kapow.robot.plugin.common.support.expression.multipletype.StringProcessorsExpression" serializationversion="0">
            <property name="dataConverters" class="DataConverters">
              <element class="EvaluateExpression" serializationversion="0">
                <property name="expression" class="String">now()</property>
              </element>
              <element class="FormatDate">
                <property name="localeString" class="String">ja_JP</property>
                <property name="pattern" class="String">E</property>
              </element>
            </property>
          </property>
          <property name="variable" class="kapow.robot.plugin.common.support.AttributeName2">
            <property name="name" class="String">演習問題25.曜日</property>
          </property>
        </property>
        <property name="elementFinders" class="ElementFinders"/>
        <property name="errorHandler" class="ErrorHandler" serializationversion="0"/>
        <property name="comment" class="String">曜日取得
-----------------------------------------------
矢印を右クリック
→「ステップを挿入」＞「アクションステップ」を選択
→ステップビュー（画面右）の「アクションを選択」をクリック
→「変数の割り当て」をクリック
→「値」項目の右の「▼」をクリック
→「コンバーター」を選択
→「値」項目の「－」ボタンをクリック
→「＋」ボタンをクリックして、「エクスプレッションを評価」を選択
→「エクスプレッション」項目に「now()」を入力して「OK」をクリック（BizRobo!関数）
→「＋」ボタンをクリックして、「日付処理」＞「日付の書式設定」を選択
→「ローケル」項目を「日本語（日本）」に変更
→「フォーマットパターン」項目に「E」を入力して「OK」をクリック
→「変数」項目を「演習問題25.曜日」に変更</property>
        <property name="enabled" idref="1"/>
        <property name="changedProperties" class="java.util.HashSet">
          <element class="String">name</element>
        </property>
      </object>
      <object class="Transition" serializationversion="3" id="8">
        <property name="name" class="String">月初取得</property>
        <property name="stepAction" class="AssignVariable" serializationversion="4">
          <property name="stringExpr" class="kapow.robot.plugin.common.support.expression.multipletype.StringProcessorsExpression" serializationversion="0">
            <property name="dataConverters" class="DataConverters">
              <element class="EvaluateExpression" serializationversion="0">
                <property name="expression" class="String">now()</property>
              </element>
              <element class="FormatDate">
                <property name="pattern" class="String">yyyy年MM月01日</property>
              </element>
            </property>
          </property>
          <property name="variable" class="kapow.robot.plugin.common.support.AttributeName2">
            <property name="name" class="String">演習問題25.月初</property>
          </property>
        </property>
        <property name="elementFinders" class="ElementFinders"/>
        <property name="errorHandler" class="ErrorHandler" serializationversion="0"/>
        <property name="comment" class="String">月初取得
-----------------------------------------------
矢印を右クリック
→「ステップを挿入」＞「アクションステップ」を選択
→ステップビュー（画面右）の「アクションを選択」をクリック
→「変数の割り当て」をクリック
→「値」項目の右の「▼」をクリック
→「コンバーター」を選択
→「値」項目の「－」ボタンをクリック
（※実行日時の取得）
→「＋」ボタンをクリックして、「エクスプレッションを評価」を選択
→「エクスプレッション」項目に「now()」を入力して「OK」をクリック
（※月初の表示形式の変更）
→「＋」ボタンをクリックして、「日付処理」＞「日付の書式設定」を選択
→「フォーマットパターン」項目に「yyyy年MM月01日」を入力して「OK」をクリック
→「変数」項目を「演習問題25.月初」に変更</property>
        <property name="enabled" idref="1"/>
        <property name="changedProperties" class="java.util.HashSet">
          <element class="String">name</element>
        </property>
      </object>
      <object class="Transition" serializationversion="3" id="9">
        <property name="name" class="String">月初取得</property>
        <property name="stepAction" class="AssignVariable" serializationversion="4">
          <property name="stringExpr" class="kapow.robot.plugin.common.support.expression.multipletype.StringProcessorsExpression" serializationversion="0">
            <property name="dataConverters" class="DataConverters">
              <element class="EvaluateExpression" serializationversion="0">
                <property name="expression" class="String">now()</property>
              </element>
              <element class="ModifyDate">
                <property name="field" class="Integer">2</property>
              </element>
              <element class="ModifyDate">
                <property name="amount" class="Expression" serializationversion="1">
                  <property name="text" class="String">day(now())</property>
                </property>
                <property name="add" class="Boolean">false</property>
              </element>
              <element class="FormatDate">
                <property name="pattern" class="String">yyyy年MM月dd日</property>
              </element>
            </property>
          </property>
          <property name="variable" class="kapow.robot.plugin.common.support.AttributeName2">
            <property name="name" class="String">演習問題25.月末</property>
          </property>
        </property>
        <property name="elementFinders" class="ElementFinders"/>
        <property name="errorHandler" class="ErrorHandler" serializationversion="0"/>
        <property name="comment" class="String">月末取得
-----------------------------------------------
矢印を右クリック
→「ステップを挿入」＞「アクションステップ」を選択
→ステップビュー（画面右）の「アクションを選択」をクリック
→「変数の割り当て」をクリック
→「値」項目の右の「▼」をクリック
→「コンバーター」を選択
→「値」項目の「－」ボタンをクリック
（※実行日時の取得）
→「＋」ボタンをクリックして、「エクスプレッションを評価」を選択
→「エクスプレッション」項目に「now()」を入力して「OK」をクリック
（※実行日時を月末に変換）（実行日＋1ヵ月-実行日にち）
→「＋」ボタンをクリックして、「日付処理」＞「変更日」を選択
→「変更する入力日付の部分」を「月」に変更
→「量」項目に「1」を入力
→「OK」をクリック
→「＋」ボタンをクリックして、「日付処理」＞「変更日」を選択
→「量」項目の右の「▼」をクリック
→「エクスプレッション」を選択
→「量」項目に「day(now())」を入力
→「関数」項目を「入力日付から量を減算」に変更して「OK」をクリック
（※月末の表示形式の変更）
→「＋」ボタンをクリックして、「日付処理」＞「日付の書式設定」を選択
→「フォーマットパターン」項目に「yyyy年MM月dd日」を入力して「OK」をクリック
→「変数」項目を「演習問題25.月末」に変更</property>
        <property name="enabled" idref="1"/>
        <property name="changedProperties" class="java.util.HashSet">
          <element class="String">name</element>
        </property>
      </object>
      <object class="Transition" serializationversion="3" id="10">
        <property name="name" class="String">実行日入力</property>
        <property name="stepAction" class="SetContentOfCell">
          <property name="contentExpression" class="kapow.robot.plugin.common.support.expression.multipletype.VariableExpression" serializationversion="2">
            <property name="variable" class="kapow.robot.plugin.common.support.AttributeName2">
              <property name="name" class="String">演習問題25.実行日</property>
            </property>
          </property>
        </property>
        <property name="elementFinders" class="ElementFinders">
          <object class="ExcelElementFinder">
            <property name="detail" class="SpecifiedRangeCellFinderDetail">
              <property name="range" class="kapow.robot.plugin.common.support.expression.stringexpr.ValueStringExpression">
                <property name="value" class="String">Sheet1!A3</property>
              </property>
            </property>
          </object>
        </property>
        <property name="errorHandler" class="ErrorHandler" serializationversion="0"/>
        <property name="comment" class="String">実行日入力
-----------------------------------------------
実行日入力欄（A3セル）をクリック
→緑色枠内で右クリック
→「コンテンツ設定」をクリック
→「コンテンツ」項目に意味を入力
　　（「コンテンツ」項目右の「▼」をクリック→「変数」を選択→「演習問題25.実行日」を選択）
→「OK」をクリック</property>
        <property name="enabled" idref="1"/>
        <property name="changedProperties" class="java.util.HashSet">
          <element class="String">name</element>
        </property>
      </object>
      <object class="Transition" serializationversion="3" id="11">
        <property name="name" class="String">曜日入力</property>
        <property name="stepAction" class="SetContentOfCell">
          <property name="contentExpression" class="kapow.robot.plugin.common.support.expression.multipletype.VariableExpression" serializationversion="2">
            <property name="variable" class="kapow.robot.plugin.common.support.AttributeName2">
              <property name="name" class="String">演習問題25.曜日</property>
            </property>
          </property>
        </property>
        <property name="elementFinders" class="ElementFinders">
          <object class="ExcelElementFinder">
            <property name="detail" class="SpecifiedRangeCellFinderDetail">
              <property name="range" class="kapow.robot.plugin.common.support.expression.stringexpr.ValueStringExpression">
                <property name="value" class="String">Sheet1!B3</property>
              </property>
            </property>
          </object>
        </property>
        <property name="errorHandler" class="ErrorHandler" serializationversion="0"/>
        <property name="comment" class="String">曜日入力
-----------------------------------------------
曜日入力欄（B3セル）をクリック
→緑色枠内で右クリック
→「コンテンツ設定」をクリック
→「コンテンツ」項目に意味を入力
　　（「コンテンツ」項目右の「▼」をクリック→「変数」を選択→「演習問題25.曜日」を選択）
→「OK」をクリック</property>
        <property name="enabled" idref="1"/>
        <property name="changedProperties" class="java.util.HashSet">
          <element class="String">name</element>
        </property>
      </object>
      <object class="Transition" serializationversion="3" id="12">
        <property name="name" class="String">月初入力</property>
        <property name="stepAction" class="SetContentOfCell">
          <property name="contentExpression" class="kapow.robot.plugin.common.support.expression.multipletype.VariableExpression" serializationversion="2">
            <property name="variable" class="kapow.robot.plugin.common.support.AttributeName2">
              <property name="name" class="String">演習問題25.月初</property>
            </property>
          </property>
        </property>
        <property name="elementFinders" class="ElementFinders">
          <object class="ExcelElementFinder">
            <property name="detail" class="SpecifiedRangeCellFinderDetail">
              <property name="range" class="kapow.robot.plugin.common.support.expression.stringexpr.ValueStringExpression">
                <property name="value" class="String">Sheet1!A6</property>
              </property>
            </property>
          </object>
        </property>
        <property name="errorHandler" class="ErrorHandler" serializationversion="0"/>
        <property name="comment" class="String">月初入力
-----------------------------------------------
月初入力欄（A６セル）をクリック
→緑色枠内で右クリック
→「コンテンツ設定」をクリック
→「コンテンツ」項目に意味を入力
　　（「コンテンツ」項目右の「▼」をクリック→「変数」を選択→「演習問題25.月初」を選択）
→「OK」をクリック</property>
        <property name="enabled" idref="1"/>
        <property name="changedProperties" class="java.util.HashSet">
          <element class="String" id="13">name</element>
        </property>
      </object>
      <object class="Transition" serializationversion="3" id="14">
        <property name="name" class="String">月末入力</property>
        <property name="stepAction" class="SetContentOfCell">
          <property name="contentExpression" class="kapow.robot.plugin.common.support.expression.multipletype.VariableExpression" serializationversion="2">
            <property name="variable" class="kapow.robot.plugin.common.support.AttributeName2">
              <property name="name" class="String">演習問題25.月末</property>
            </property>
          </property>
        </property>
        <property name="elementFinders" class="ElementFinders">
          <object class="ExcelElementFinder">
            <property name="detail" class="SpecifiedRangeCellFinderDetail">
              <property name="range" class="kapow.robot.plugin.common.support.expression.stringexpr.ValueStringExpression">
                <property name="value" class="String">Sheet1!B6</property>
              </property>
            </property>
          </object>
        </property>
        <property name="errorHandler" class="ErrorHandler" serializationversion="0"/>
        <property name="comment" class="String">月末入力
-----------------------------------------------
月末入力欄（B６セル）をクリック
→緑色枠内で右クリック
→「コンテンツ設定」をクリック
→「コンテンツ」項目に意味を入力
　　（「コンテンツ」項目右の「▼」をクリック→「変数」を選択→「演習問題25.月末」を選択）
→「OK」をクリック</property>
        <property name="enabled" idref="1"/>
        <property name="changedProperties" class="java.util.HashSet">
          <element idref="13"/>
        </property>
      </object>
      <object class="Transition" serializationversion="3" id="15">
        <property name="name" class="String">エクセル保存</property>
        <property name="stepAction" class="WriteFile" serializationversion="0">
          <property name="fileNameExpression" class="kapow.robot.plugin.common.support.expression.stringexpr.ValueStringExpression">
            <property name="value" class="String">C:\演習問題25\実行月情報結果.xlsx</property>
          </property>
          <property name="fileContentExpression" class="kapow.robot.plugin.common.support.expression.multipletype.VariableExpression" serializationversion="2">
            <property name="variable" class="kapow.robot.plugin.common.support.AttributeName2">
              <property name="name" class="String">excel</property>
            </property>
          </property>
        </property>
        <property name="elementFinders" class="ElementFinders"/>
        <property name="errorHandler" class="ErrorHandler" serializationversion="0"/>
        <property name="comment" class="String">エクセル保存
-----------------------------------------------
矢印を右クリック
→「ステップを挿入」＞「アクションステップ」を選択
→ステップビュー（画面右）の「アクションを選択」をクリック
→「ファイルシステム」＞「ファイル出力」をクリック
→「ファイル名」を入力（C:\演習問題25\実行月情報結果.xlsx）
→［ファイルコンテンツ］を「excel」に変更</property>
        <property name="enabled" idref="1"/>
        <property name="changedProperties" class="java.util.HashSet">
          <element class="String">name</element>
        </property>
      </object>
      <object class="End" id="16"/>
    </steps>
    <blockEndStep class="BlockEndStep"/>
    <edges class="ArrayList">
      <object class="TransitionEdge">
        <from idref="2"/>
        <to idref="3"/>
      </object>
      <object class="TransitionEdge">
        <from idref="3"/>
        <to idref="4"/>
      </object>
      <object class="TransitionEdge">
        <from idref="4"/>
        <to idref="5"/>
      </object>
      <object class="TransitionEdge">
        <from idref="5"/>
        <to idref="6"/>
      </object>
      <object class="TransitionEdge">
        <from idref="6"/>
        <to idref="7"/>
      </object>
      <object class="TransitionEdge">
        <from idref="7"/>
        <to idref="8"/>
      </object>
      <object class="TransitionEdge">
        <from idref="8"/>
        <to idref="9"/>
      </object>
      <object class="TransitionEdge">
        <from idref="9"/>
        <to idref="10"/>
      </object>
      <object class="TransitionEdge">
        <from idref="10"/>
        <to idref="11"/>
      </object>
      <object class="TransitionEdge">
        <from idref="11"/>
        <to idref="12"/>
      </object>
      <object class="TransitionEdge">
        <from idref="12"/>
        <to idref="14"/>
      </object>
      <object class="TransitionEdge">
        <from idref="14"/>
        <to idref="15"/>
      </object>
      <object class="TransitionEdge">
        <from idref="15"/>
        <to idref="16"/>
      </object>
    </edges>
  </property>
  <property name="browserConfigurationSpecification" class="BrowserConfigurationSpecificationWebKit" serializationversion="25"/>
</object>
